<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/" debug="false">

	<appender name="STDOUT" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[SWIFT-SP] %d{HH:mm:ss.SSS} - %p [%C:%M: line %L] - %m%n" />
        </layout>
    </appender>

	<appender name="SP_PROCESS" class="org.apache.log4j.DailyRollingFileAppender">
        <param name="Append" value="true" />
		<param name="DatePattern" value="'.'yyyy_MM_dd" />
        <param name="File" value="/edulog/jeus/logs/neis_dev_ap01/sen002/sp-process.log" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[SWIFT-SP] %d{HH:mm:ss.SSS} - %p [%C:%M: line %L] - %m%n" />
        </layout>
    </appender>

    <appender name="SP_CACHE" class="org.apache.log4j.DailyRollingFileAppender">
        <param name="Append" value="true" />
		<param name="DatePattern" value="'.'yyyy_MM_dd" />
        <param name="File" value="/edulog/jeus/logs/neis_dev_ap01/sen002/sp-cache-manager.log" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[SWIFT-SP] %d{HH:mm:ss.SSS} - %p [%C:%M: line %L] - %m%n" />
        </layout>
    </appender>

	<appender name="SP_ACCESS" class="org.apache.log4j.DailyRollingFileAppender">
        <param name="Append" value="true" />
		<param name="DatePattern" value="'.'yyyy_MM_dd" />
        <param name="File" value="/edulog/jeus/logs/neis_dev_ap01/sen002/sp-access.log" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[SWIFT-SP] %d{HH:mm:ss.SSS} - %p [%C:%M: line %L] - %m%n" />
        </layout>
    </appender>

	<appender name="SP_AUDIT" class="org.apache.log4j.DailyRollingFileAppender">
        <param name="Append" value="true" />
		<param name="DatePattern" value="'.'yyyy_MM_dd" />
        <param name="File" value="/edulog/jeus/logs/neis_dev_ap01/sen002/sp-audit.log" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[SWIFT-SP] %d{HH:mm:ss.SSS} - %p [%C:%M: line %L] - %m%n" />
        </layout>
    </appender>

	<logger name="kr.co.iniline.swift">
		<level value="INFO" />
		<appender-ref ref="STDOUT" />
		<appender-ref ref="SP_PROCESS" />
	</logger>

	<logger name="org.opensaml">
		<level value="INFO" />
		<appender-ref ref="SP_PROCESS" />
	</logger>

	<logger name="net.sf.ehcache">
		<level value="INFO" />
		<appender-ref ref="SP_CACHE" />
	</logger>

	<logger name="PROTOCOL_MESSAGE">
		<level value="DEBUG" />
		<appender-ref ref="SP_PROCESS" />
	</logger>

	<logger name="SwiftAccessLog">
		<level value="ALL" />
		<appender-ref ref="SP_ACCESS" />
	</logger>

	<logger name="SwiftAuditLog">
		<level value="ALL" />
		<appender-ref ref="SP_AUDIT" />
	</logger>

	<logger name="SwiftAdminAuditLog">
		<level value="ALL" />
		<appender-ref ref="SP_AUDIT" />
	</logger>

</log4j:configuration>